# CachingIterator::setFlags

(PHP 5 >= 5.2.0, PHP 7)

CachingIterator::setFlags — The setFlags purpose

### Description

public CachingIterator::setFlags ( int `$flags` ) : void
Warning

This function is currently not documented; only its argument list is available.

Set the flags for the CachingIterator object.

### Parameters

`flags`

  Bitmask of the flags to set.

### Return Values

No value is returned.